aboutsummaryrefslogtreecommitdiffstats
path: root/testing/slrn/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-03-23 10:30:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-03-23 10:30:40 +0000
commitbc428b227c24df8cfacee0dd3c4f47f02a02933c (patch)
tree66f5922d73f562964bcbd6a32eca212c5aafd235 /testing/slrn/APKBUILD
parent9e713fec92631860166637090c74eabd00697c75 (diff)
downloadaports-bc428b227c24df8cfacee0dd3c4f47f02a02933c.tar.gz
aports-bc428b227c24df8cfacee0dd3c4f47f02a02933c.tar.bz2
aports-bc428b227c24df8cfacee0dd3c4f47f02a02933c.tar.xz
testing/slrn: clean up
enable on arm, allow parallel build
Diffstat (limited to 'testing/slrn/APKBUILD')
-rw-r--r--testing/slrn/APKBUILD5
1 files changed, 2 insertions, 3 deletions
diff --git a/testing/slrn/APKBUILD b/testing/slrn/APKBUILD
index d77f41a848..ee040b03bd 100644
--- a/testing/slrn/APKBUILD
+++ b/testing/slrn/APKBUILD
@@ -4,7 +4,7 @@ pkgver=1.0.2
pkgrel=0
pkgdesc="An open source text-based news client"
url="http://www.slrn.org/"
-arch="x86 x86_64"
+arch="all"
license="GPL"
depends_dev="openssl-dev slang-dev"
makedepends="$depends_dev"
@@ -17,14 +17,13 @@ build() {
--enable-setgid-code \
--with-slrnpull --with-ssl \
--enable-spoilers || return 1
- make -j1 || return 1
+ make || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make -j1 DESTDIR="$pkgdir" install || return 1
install -Dm644 doc/slrn.rc "$pkgdir"/etc/slrnrc
- gzip -9 "$pkgdir"/usr/share/man/man1/*.1
}
md5sums="cd21aa0f5ec9c2ec1a26e5f1322f6422 slrn-1.0.2.tar.gz"